function result = devide_and_fft(data,Fs)
    % t[Gϊtime*Hz̍so

    dataE = filter([1 -0.97], 1,data);
    %t[ƃt[Vtg߂
    frameSize = 0.025;				% t[F0.025bi25msj
    frameShift = 0.020;				% t[VtgF0.020bi20msj
    %ԂTvɕϊ
    frameSizeSample = fix( Fs * frameSize );
    frameShiftSample = fix( Fs * frameShift );
    %t[̑߂
    maxFrame = fix( ( length(dataE) - (frameSizeSample - frameShiftSample) ) / frameShiftSample ) - 1;
    %t[̌JԂ
    startFrame = 1;					% t[̊JnTvԍ
    endFrame = startFrame + frameSizeSample - 1;	% t[̏ITvԍ
    dataFrame = zeros(maxFrame,frameSizeSample);    % time * t[
    
    % FFTpp[^ig|Cgj
    fftsize = frameSizeSample * 2;
    result = zeros(maxFrame,fftsize/2); % time * Hz
    
    for count = 1 : maxFrame
%        disp(strcat('t[ԍ ',int2str(count),' / ',int2str(maxFrame)));
%        disp(strcat('̃t[̊JnTvԍ ',num2str(startFrame)));
%        disp(strcat('̃t[̏ITvԍ ',num2str(endFrame)));
        dataFrame(count,:) = dataE(startFrame : endFrame);

        %Ɋet[ɑ΂鏈ǋL遙
        % |injOj
        window = hanning(frameSizeSample)';
        dataFrame(count,:) = dataFrame(count,:) .* window;
        
        %t[Gϊ
        dft = fft(dataFrame(count,:), fftsize);
        %UXyNg
        Adft = abs(dft);
        result(count,:) = Adft(1:fftsize/2);
        

        %et[̔g`vbg
%        subplot(10, 20, count); plot(dataFrame); ylim([-3,3]);
%        axis off; %ڐ

        startFrame = startFrame + frameShiftSample;
        endFrame = startFrame + frameSizeSample - 1;
    end
    
    
    % result>=11Ƀ}XLO
    [x,y] = size(result);
    Mask = result >= ones(x,y);
    plot_result = not(Mask).*result + Mask;
    
    % gXP[p
    fscale = linspace(0,Fs,fftsize);
    
    % spectrogramvbg
    colormap('default');
    pcolor(fscale(1:fftsize/2),[1:maxFrame],plot_result);
    colorbar;
    axis ij;
    shading flat;
    xlabel('frequency[Hz]');
    ylabel('time[Frame]');
    
end