function data = ifft_and_merge(result,Fs)
    frameSize = 0.025;                                      % t[F0.025bi25msj
    frameShift = 0.020;                                     % t[VtgF0.020bi10msj
    frameSizeSample = fix( Fs * frameSize );                % t[FTvZ
    frameShiftSample = fix( Fs * frameShift );              % t[VtgFTvZ
    maxFrame = size(result,1);
    startThisFrame = 1;                                     % t[̊JnTvԍ
    endThisFrame = startThisFrame + frameSizeSample - 1;    % t[̏ITvԍ
    data_length = (maxFrame+1)*frameShiftSample + (frameSizeSample - frameShiftSample);
    data = zeros(data_length, 1);             % ̉f[^̊i[p
    
    % FFTpp[^ig|Cgj
    fftsize = frameSizeSample * 2;

    for count = 1: maxFrame
        % tt[Gϊ
        sound_part = real(ifft(result(count,:),fftsize));
%        sound_part_cut = sound_part(1:fftsize/2);
        sound_part_cut = sound_part(1:frameSizeSample);
        
        % 
        data(startThisFrame:endThisFrame) = data(startThisFrame:endThisFrame) + sound_part_cut';
        
        startThisFrame = startThisFrame + frameShiftSample;
        endThisFrame = startThisFrame + frameSizeSample -1;
    end
end